Mailinglist Archive: opensuse-buildservice (153 mails)

< Previous Next >
[opensuse-buildservice] How to suppress rpmlint error for non-standard interpretor
Hi,

I am getting these rpmlint errors. How do I suppress it ?

====================================
[ 885s] (none): E: badness 3831 exceeds threshold 1000, aborting.
[ 885s] novell-zenworks-rubygem-rake.noarch: E: wrong-script-interpreter
(Badness: 533) /opt/novell/zenworks/bin/rake /opt/novell/zenworks/bin/ruby
[ 885s] novell-zenworks-ruby.x86_64: E: wrong-script-interpreter (Badness:
533) /opt/novell/zenworks/bin/irb /opt/novell/zenworks/bin/ruby
[ 885s] novell-zenworks-ruby.x86_64: E: wrong-script-interpreter (Badness:
533) /opt/novell/zenworks/bin/testrb /opt/novell/zenworks/bin/ruby
[ 885s] novell-zenworks-ruby.x86_64: E: wrong-script-interpreter (Badness:
533) /opt/novell/zenworks/bin/erb /opt/novell/zenworks/bin/ruby
[ 885s] novell-zenworks-ruby.x86_64: E: wrong-script-interpreter (Badness:
533) /opt/novell/zenworks/bin/rdoc /opt/novell/zenworks/bin/ruby
[ 885s] novell-zenworks-ruby.x86_64: E: wrong-script-interpreter (Badness:
533) /opt/novell/zenworks/bin/ri /opt/novell/zenworks/bin/ruby
[ 885s] novell-zenworks-ruby.x86_64: E: wrong-script-interpreter (Badness:
533) /opt/novell/zenworks/bin/gem /opt/novell/zenworks/bin/ruby
[ 885s] This script uses an incorrect interpreter. Correct interpreters should
be an
[ 885s] absolute path to a file in in /(s)bin or /usr/(s)bin. Alternatively,
if the
[ 885s] file isn't supposed to be executed, then don't mark it as executable.
========================================

Also is there a way to completely skip the tests that are run after building
the packages ?
I think these tests run only for SUSE distros.

Regards
Rashmi

--
To unsubscribe, e-mail: opensuse-buildservice+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-buildservice+owner@xxxxxxxxxxxx

< Previous Next >
Follow Ups